VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vapi::metadata::StructDefinitions Class Reference

Defines the type descriptors for the top-level types in `com.vmware.vapi.metadata` package. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | sourceCreateSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | sourceInfo

## Detailed Description

Defines the type descriptors for the top-level types in `com.vmware.vapi.metadata` package.

WARNING: Internal API, subject to change in future versions.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::StructDefinitions::sourceCreateSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("description", new vmware.vapi.bindings.type.StringType());
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vapi.metadata.SourceType)));
                    fields.Add("filepath", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("address", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.UriType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("FILE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("filepath", false)});
                    caseFields.Add("REMOTE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("address", false)});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.source_create_spec", fields, typeof(vmware.vapi.metadata.SourceCreateSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::StructDefinitions::sourceInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vapi.metadata.SourceType)));
                    fields.Add("file_name", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("remote_addr", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("msg_protocol", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("FILE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("file_name", false)});
                    caseFields.Add("REMOTE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("remote_addr", false), new vmware.vapi.data.UnionValidator.FieldData("msg_protocol", false)});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.source_info", fields, typeof(vmware.vapi.metadata.SourceInfo), validators, false, null);
                })

The documentation for this class was generated from the following file:

- vapi/metadata/StructDefinitions.cs